Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnstructuredGrid Class Reference

`#include <vtkUnstructuredGrid.h>`

Inheritance diagram for vtkUnstructuredGrid:

[legend]
Collaboration diagram for vtkUnstructuredGrid:

[legend]
List of all members.

## Detailed Description

dataset represents arbitrary combinations of all possible cell types

Date:
  2002/12/26 18:24:22

Revision:
  1.90

vtkUnstructuredGrid is a data object that is a concrete implementation of vtkDataSet. vtkUnstructuredGrid represents any combinations of any cell types. This includes 0D (e.g., points), 1D (e.g., lines, polylines), 2D (e.g., triangles, polygons), and 3D (e.g., hexahedron, tetrahedron).

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (39%)
  - Law, Charles (23%)
  - Lee, Jeff (15%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkUnstructuredGrid.h)`
  - .`cxx` (`/Common/vtkUnstructuredGrid.cxx)`

Examples:
  vtkUnstructuredGrid (Examples)

Tests:
  vtkUnstructuredGrid (Tests)

Definition at line 78 of file vtkUnstructuredGrid.h.

## Public Types
typedef vtkPointSet | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | GetCellType (vtkIdType cellId)
vtkUnsignedCharArray * | GetCellTypesArray ()
vtkIntArray * | GetCellLocationsArray ()
void | Squeeze ()
void | Initialize ()
int | GetMaxCellSize ()
void | BuildLinks ()
vtkCellLinks * | GetCellLinks ()
virtual void | GetCellPoints (vtkIdType cellId, vtkIdType &npts, vtkIdType *&pts)
void | ReplaceCell (vtkIdType cellId, int npts, vtkIdType *pts)
int | InsertNextLinkedCell (int type, int npts, vtkIdType *pts)
void | RemoveReferenceToCell (vtkIdType ptId, vtkIdType cellId)
void | AddReferenceToCell (vtkIdType ptId, vtkIdType cellId)
void | ResizeCellList (vtkIdType ptId, int size)
unsigned long | GetActualMemorySize ()
void | GetListOfUniqueCellTypes (vtkUnsignedCharArray *uniqueTypes)
void | GetIdsOfCellsOfType (int type, vtkIntArray *array)
int | IsHomogeneous ()
void | RemoveGhostCells (int level)
int | GetDataObjectType ()
virtual void | Allocate (vtkIdType numCells=1000, int extSize=1000)
int | InsertNextCell (int type, int npts, vtkIdType *pts)
int | InsertNextCell (int type, vtkIdList *ptIds)
void | Reset ()
void | SetCells (int *types, vtkCellArray *cells)
void | SetCells (vtkUnsignedCharArray *cellTypes, vtkIntArray *cellLocations, vtkCellArray *cells)
vtkCellArray * | GetCells ()
virtual void | CopyStructure (vtkDataSet *ds)
vtkIdType | GetNumberOfCells ()
virtual vtkCell * | GetCell (vtkIdType cellId)
virtual void | GetCell (vtkIdType cellId, vtkGenericCell *cell)
virtual void | GetCellBounds (vtkIdType cellId, float bounds[6])
virtual void | GetCellPoints (vtkIdType cellId, vtkIdList *ptIds)
void | GetPointCells (vtkIdType ptId, vtkIdList *cellIds)
virtual void | GetCellNeighbors (vtkIdType cellId, vtkIdList *ptIds, vtkIdList *cellIds)
void | SetUpdateExtent (int piece, int numPieces, int ghostLevel)
void | SetUpdateExtent (int piece, int numPieces)
void | GetUpdateExtent (int &piece, int &numPieces, int &ghostLevel)
virtual int * | GetUpdateExtent ()
virtual void | GetUpdateExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetUpdateExtent (int[6])
void | SetUpdateExtent (int x1, int x2, int y1, int y2, int z1, int z2)
void | SetUpdateExtent (int ext[6])
virtual int | GetPiece ()
virtual int | GetNumberOfPieces ()
virtual int | GetGhostLevel ()
virtual void | ShallowCopy (vtkDataObject *src)
virtual void | DeepCopy (vtkDataObject *src)
## Static Public Methods
vtkUnstructuredGrid * | New ()
int | IsTypeOf (const char *type)
vtkUnstructuredGrid * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnstructuredGrid ()
| ~vtkUnstructuredGrid ()
## Protected Attributes
vtkVertex * | Vertex
vtkPolyVertex * | PolyVertex
vtkLine * | Line
vtkPolyLine * | PolyLine
vtkTriangle * | Triangle
vtkTriangleStrip * | TriangleStrip
vtkPixel * | Pixel
vtkQuad * | Quad
vtkPolygon * | Polygon
vtkTetra * | Tetra
vtkVoxel * | Voxel
vtkHexahedron * | Hexahedron
vtkWedge * | Wedge
vtkPyramid * | Pyramid
vtkQuadraticEdge * | QuadraticEdge
vtkQuadraticTriangle * | QuadraticTriangle
vtkQuadraticQuad * | QuadraticQuad
vtkQuadraticTetra * | QuadraticTetra
vtkQuadraticHexahedron * | QuadraticHexahedron
vtkConvexPointSet * | ConvexPointSet
vtkCellArray * | Connectivity
vtkCellLinks * | Links
vtkUnsignedCharArray * | Types
vtkIntArray * | Locations

## Member Typedef Documentation

typedef vtkPointSet vtkUnstructuredGrid::Superclass

| Reimplemented from vtkPointSet. Definition at line 85 of file vtkUnstructuredGrid.h.

## Constructor & Destructor Documentation

vtkUnstructuredGrid::vtkUnstructuredGrid | ( |  | ) | `[protected]`

vtkUnstructuredGrid::~vtkUnstructuredGrid | ( |  | ) | `[protected]`

## Member Function Documentation

vtkUnstructuredGrid* vtkUnstructuredGrid::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataObject.

virtual const char* vtkUnstructuredGrid::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSet.

int vtkUnstructuredGrid::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSet.

virtual int vtkUnstructuredGrid::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSet.

vtkUnstructuredGrid* vtkUnstructuredGrid::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSet.

void vtkUnstructuredGrid::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSet.

int vtkUnstructuredGrid::GetDataObjectType | ( |  | ) | `[inline, virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet. Definition at line 90 of file vtkUnstructuredGrid.h. References VTK_UNSTRUCTURED_GRID.

virtual void vtkUnstructuredGrid::Allocate | ( | vtkIdType | numCells = 1000,
|  | int | extSize = 1000
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information.

int vtkUnstructuredGrid::InsertNextCell | ( | int | type,
|  | int | npts,
|  | vtkIdType * | pts
| ) |

| Standard vtkDataSet API methods. See vtkDataSet for more information.

int vtkUnstructuredGrid::InsertNextCell | ( | int | type,
|  | vtkIdList * | ptIds
| ) |

| Standard vtkDataSet API methods. See vtkDataSet for more information.

void vtkUnstructuredGrid::Reset | ( |  | ) |

| Standard vtkDataSet API methods. See vtkDataSet for more information.

void vtkUnstructuredGrid::SetCells | ( | int * | types,
|  | vtkCellArray * | cells
| ) |

| Standard vtkDataSet API methods. See vtkDataSet for more information.

void vtkUnstructuredGrid::SetCells | ( | vtkUnsignedCharArray * | cellTypes,
|  | vtkIntArray * | cellLocations,
|  | vtkCellArray * | cells
| ) |

| Standard vtkDataSet API methods. See vtkDataSet for more information.

vtkCellArray* vtkUnstructuredGrid::GetCells | ( |  | ) | `[inline]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Definition at line 98 of file vtkUnstructuredGrid.h.

virtual void vtkUnstructuredGrid::CopyStructure | ( | vtkDataSet * | ds | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkPointSet.

vtkIdType vtkUnstructuredGrid::GetNumberOfCells | ( |  | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

virtual vtkCell* vtkUnstructuredGrid::GetCell | ( | vtkIdType | cellId | ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

virtual void vtkUnstructuredGrid::GetCell | ( | vtkIdType | cellId,
|  | vtkGenericCell * | cell
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

virtual void vtkUnstructuredGrid::GetCellBounds | ( | vtkIdType | cellId,
|  | float | bounds[6]
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Reimplemented from vtkDataSet.

virtual void vtkUnstructuredGrid::GetCellPoints | ( | vtkIdType | cellId,
|  | vtkIdList * | ptIds
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

void vtkUnstructuredGrid::GetPointCells | ( | vtkIdType | ptId,
|  | vtkIdList * | cellIds
| ) | `[virtual]`

| Standard vtkDataSet API methods. See vtkDataSet for more information. Implements vtkDataSet.

int vtkUnstructuredGrid::GetCellType | ( | vtkIdType | cellId | ) | `[virtual]`

| Get type of cell with cellId such that: 0 <= cellId < NumberOfCells. THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND THE DATASET IS NOT MODIFIED Implements vtkDataSet.

vtkUnsignedCharArray* vtkUnstructuredGrid::GetCellTypesArray | ( |  | ) | `[inline]`

| Definition at line 109 of file vtkUnstructuredGrid.h.

vtkIntArray* vtkUnstructuredGrid::GetCellLocationsArray | ( |  | ) | `[inline]`

| Definition at line 110 of file vtkUnstructuredGrid.h.

void vtkUnstructuredGrid::Squeeze | ( |  | ) | `[virtual]`

| Reclaim any unused memory. Reimplemented from vtkPointSet.

void vtkUnstructuredGrid::Initialize | ( |  | ) | `[virtual]`

| Reset to an empty state and free any memory. Reimplemented from vtkPointSet.

int vtkUnstructuredGrid::GetMaxCellSize | ( |  | ) | `[virtual]`

| Convenience method returns largest cell size in dataset. This is generally used to allocate memory for supporting data structures. THIS METHOD IS THREAD SAFE Implements vtkDataSet.

void vtkUnstructuredGrid::BuildLinks | ( |  | ) |

vtkCellLinks* vtkUnstructuredGrid::GetCellLinks | ( |  | ) | `[inline]`

| Definition at line 115 of file vtkUnstructuredGrid.h.

virtual void vtkUnstructuredGrid::GetCellPoints | ( | vtkIdType | cellId,
|  | vtkIdType & | npts,
|  | vtkIdType *& | pts
| ) | `[virtual]`

void vtkUnstructuredGrid::ReplaceCell | ( | vtkIdType | cellId,
|  | int | npts,
|  | vtkIdType * | pts
| ) |

int vtkUnstructuredGrid::InsertNextLinkedCell | ( | int | type,
|  | int | npts,
|  | vtkIdType * | pts
| ) |

void vtkUnstructuredGrid::RemoveReferenceToCell | ( | vtkIdType | ptId,
|  | vtkIdType | cellId
| ) |

void vtkUnstructuredGrid::AddReferenceToCell | ( | vtkIdType | ptId,
|  | vtkIdType | cellId
| ) |

void vtkUnstructuredGrid::ResizeCellList | ( | vtkIdType | ptId,
|  | int | size
| ) |

virtual void vtkUnstructuredGrid::GetCellNeighbors | ( | vtkIdType | cellId,
|  | vtkIdList * | ptIds,
|  | vtkIdList * | cellIds
| ) | `[virtual]`

| Topological inquiry to get all cells using list of points exclusive of cell specified (e.g., cellId). THIS METHOD IS THREAD SAFE IF FIRST CALLED FROM A SINGLE THREAD AND THE DATASET IS NOT MODIFIED Reimplemented from vtkDataSet.

void vtkUnstructuredGrid::SetUpdateExtent | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevel
| ) |

| For streaming. User/next filter specifies which piece the want updated. The source of this poly data has to return exactly this piece.

void vtkUnstructuredGrid::SetUpdateExtent | ( | int | piece,
|  | int | numPieces
| ) | `[inline]`

| For streaming. User/next filter specifies which piece the want updated. The source of this poly data has to return exactly this piece. Reimplemented from vtkDataObject. Definition at line 137 of file vtkUnstructuredGrid.h. References vtkDataObject::SetUpdateExtent().

void vtkUnstructuredGrid::GetUpdateExtent | ( | int & | piece,
|  | int & | numPieces,
|  | int & | ghostLevel
| ) |

| For streaming. User/next filter specifies which piece the want updated. The source of this poly data has to return exactly this piece.

virtual int* vtkUnstructuredGrid::GetUpdateExtent | ( |  | ) | `[virtual]`

| We need this here to keep from hiding superclass method Reimplemented from vtkDataObject.

virtual void vtkUnstructuredGrid::GetUpdateExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| We need this here to keep from hiding superclass method Reimplemented from vtkDataObject.

virtual void vtkUnstructuredGrid::GetUpdateExtent | ( | int | [6] | ) | `[virtual]`

| We need this here to keep from hiding superclass method Reimplemented from vtkDataObject.

void vtkUnstructuredGrid::SetUpdateExtent | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2,
|  | int | z1,
|  | int | z2
| ) | `[inline, virtual]`

| Call superclass method to avoid hiding Since this data type does not use 3D extents, this set method is useless but necessary since vtkDataSetToDataSetFilter does not know what type of data it is working on. Reimplemented from vtkDataObject. Definition at line 152 of file vtkUnstructuredGrid.h.

void vtkUnstructuredGrid::SetUpdateExtent | ( | int | ext[6] | ) | `[inline, virtual]`

| Call superclass method to avoid hiding Since this data type does not use 3D extents, this set method is useless but necessary since vtkDataSetToDataSetFilter does not know what type of data it is working on. Reimplemented from vtkDataObject. Definition at line 154 of file vtkUnstructuredGrid.h.

virtual int vtkUnstructuredGrid::GetPiece | ( |  | ) | `[virtual]`

| Set / Get the piece and the number of pieces. Similar to extent in 3D.

virtual int vtkUnstructuredGrid::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Set / Get the piece and the number of pieces. Similar to extent in 3D.

virtual int vtkUnstructuredGrid::GetGhostLevel | ( |  | ) | `[virtual]`

| Set / Get the ghost level.

unsigned long vtkUnstructuredGrid::GetActualMemorySize | ( |  | ) | `[virtual]`

| Return the actual size of the data in kilobytes. This number is valid only after the pipeline has updated. The memory size returned is guaranteed to be greater than or equal to the memory required to represent the data (e.g., extra space in arrays, etc. are not included in the return value). THIS METHOD IS THREAD SAFE. Reimplemented from vtkPointSet.

virtual void vtkUnstructuredGrid::ShallowCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. Reimplemented from vtkPointSet.

virtual void vtkUnstructuredGrid::DeepCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. Reimplemented from vtkPointSet.

void vtkUnstructuredGrid::GetListOfUniqueCellTypes | ( | vtkUnsignedCharArray * | uniqueTypes | ) |

| Fill vtkUnsignedCharArray container with list of unique cell types. This method traverses all cells and, for each unique cell type it encounters, inserts the type into the container.

void vtkUnstructuredGrid::GetIdsOfCellsOfType | ( | int | type,
|  | vtkIntArray * | array
| ) |

| Fill vtkIntArray container with list of cell Ids. This method traverses all cells and, for a particular cell type, inserts the cell Id into the container.

int vtkUnstructuredGrid::IsHomogeneous | ( |  | ) |

| Traverse cells and determine if cells are all of the same type.

void vtkUnstructuredGrid::RemoveGhostCells | ( | int | level | ) |

| This method will remove any cell that has a ghost level array value greater or equal to level.

## Member Data Documentation

vtkVertex* vtkUnstructuredGrid::Vertex`[protected]`

| Definition at line 206 of file vtkUnstructuredGrid.h.

vtkPolyVertex* vtkUnstructuredGrid::PolyVertex`[protected]`

| Definition at line 207 of file vtkUnstructuredGrid.h.

vtkLine* vtkUnstructuredGrid::Line`[protected]`

| Definition at line 208 of file vtkUnstructuredGrid.h.

vtkPolyLine* vtkUnstructuredGrid::PolyLine`[protected]`

| Definition at line 209 of file vtkUnstructuredGrid.h.

vtkTriangle* vtkUnstructuredGrid::Triangle`[protected]`

| Definition at line 210 of file vtkUnstructuredGrid.h.

vtkTriangleStrip* vtkUnstructuredGrid::TriangleStrip`[protected]`

| Definition at line 211 of file vtkUnstructuredGrid.h.

vtkPixel* vtkUnstructuredGrid::Pixel`[protected]`

| Definition at line 212 of file vtkUnstructuredGrid.h.

vtkQuad* vtkUnstructuredGrid::Quad`[protected]`

| Definition at line 213 of file vtkUnstructuredGrid.h.

vtkPolygon* vtkUnstructuredGrid::Polygon`[protected]`

| Definition at line 214 of file vtkUnstructuredGrid.h.

vtkTetra* vtkUnstructuredGrid::Tetra`[protected]`

| Definition at line 215 of file vtkUnstructuredGrid.h.

vtkVoxel* vtkUnstructuredGrid::Voxel`[protected]`

| Definition at line 216 of file vtkUnstructuredGrid.h.

vtkHexahedron* vtkUnstructuredGrid::Hexahedron`[protected]`

| Definition at line 217 of file vtkUnstructuredGrid.h.

vtkWedge* vtkUnstructuredGrid::Wedge`[protected]`

| Definition at line 218 of file vtkUnstructuredGrid.h.

vtkPyramid* vtkUnstructuredGrid::Pyramid`[protected]`

| Definition at line 219 of file vtkUnstructuredGrid.h.

vtkQuadraticEdge* vtkUnstructuredGrid::QuadraticEdge`[protected]`

| Definition at line 220 of file vtkUnstructuredGrid.h.

vtkQuadraticTriangle* vtkUnstructuredGrid::QuadraticTriangle`[protected]`

| Definition at line 221 of file vtkUnstructuredGrid.h.

vtkQuadraticQuad* vtkUnstructuredGrid::QuadraticQuad`[protected]`

| Definition at line 222 of file vtkUnstructuredGrid.h.

vtkQuadraticTetra* vtkUnstructuredGrid::QuadraticTetra`[protected]`

| Definition at line 223 of file vtkUnstructuredGrid.h.

vtkQuadraticHexahedron* vtkUnstructuredGrid::QuadraticHexahedron`[protected]`

| Definition at line 224 of file vtkUnstructuredGrid.h.

vtkConvexPointSet* vtkUnstructuredGrid::ConvexPointSet`[protected]`

| Definition at line 225 of file vtkUnstructuredGrid.h.

vtkCellArray* vtkUnstructuredGrid::Connectivity`[protected]`

| Definition at line 229 of file vtkUnstructuredGrid.h.

vtkCellLinks* vtkUnstructuredGrid::Links`[protected]`

| Definition at line 230 of file vtkUnstructuredGrid.h.

vtkUnsignedCharArray* vtkUnstructuredGrid::Types`[protected]`

| Definition at line 231 of file vtkUnstructuredGrid.h.

vtkIntArray* vtkUnstructuredGrid::Locations`[protected]`

| Definition at line 232 of file vtkUnstructuredGrid.h.

The documentation for this class was generated from the following file:

- Common/vtkUnstructuredGrid.h